Angular SlideOut - items

An array of items displayed by the UI component.

Selector: dxi-item
Type:

Array<String | dxSlideOutItem | any>

Raised Events: onOptionChanged

The items array can contain:

  • Strings
  • Objects with fields described in this section
  • Objects with any other fields. In this case, specify the itemTemplate.

If you need to update the UI component items, reassign the entire items array as shown in the following example:

JavaScript
slideOutInstance.option('items', newItems);

As an alternative to items, you can use the dataSource property. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.

NOTE
Do not use the items property if you use dataSource, and vice versa.

disabled

Specifies whether the UI component item responds to user interaction.

Type:

Boolean

Default Value: false

html

Specifies the HTML markup to be inserted into the item element.

Type:

String

The SlideOut component evaluates the html property's value. This evaluation, however, makes the SlideOut potentially vulnerable to XSS attacks. To guard against these attacks, encode the HTML markup before you assign it to the html property. Refer to the following help topic for more information: Potentially Vulnerable API - html.

You can use the text property as a safe alternative.

menuTemplate

Specifies a template that should be used to render a menu item.

Type:

template

Template Data: undefined

The following types of the specified value are available.

  • Assign a string containing the name of the required template.
  • Assign a jQuery object of the template's container.
  • Assign a DOM Node of the template's container.
  • Assign a function that returns the jQuery object or a DOM Node of the template's container.
See Also

template

Specifies a template that should be used to render this item only.

Type:

template

Template Data:

CollectionWidgetItem

The item object to be rendered.

The following types of the specified value are available.

  • Assign a string containing the name of the required template.
  • Assign a jQuery object of the template's container.
  • Assign a DOM Node of the template's container.
  • Assign a function that returns the jQuery object or a DOM Node of the template's container.

The following example adds a custom item to the component. Note that Angular and Vue use custom templates instead of the template property. In React, specify the render or component properties.

jQuery
index.js
$(function() {
    $("#slideOutContainer").dxSlideOut({
        // ...
        items: [
            {
                // ...
                template: '<div>Custom Item</div>'
            }
        ]
    });
});
Angular
app.component.html
app.component.ts
app.module.ts
<dx-slide-out ... >
    <dxi-item ... >
        <div *dxTemplate>
            <div>Custom Item</div>
        </div>
    </dxi-item>
</dx-slide-out>
import { Component } from '@angular/core';

@Component({
    selector: 'app-root',
    templateUrl: './app.component.html',
    styleUrls: ['./app.component.css']
})
export class AppComponent {
    // ...
}
import { BrowserModule } from '@angular/platform-browser';
import { NgModule } from '@angular/core';
import { AppComponent } from './app.component';

import { DxSlideOutModule } from 'devextreme-angular';

@NgModule({
    declarations: [
        AppComponent
    ],
    imports: [
        BrowserModule,
        DxSlideOutModule
    ],
    providers: [ ],
    bootstrap: [AppComponent]
})
export class AppModule { }
Vue
App.vue
<template>
    <DxSlideOut ... >
        <dxItem ... >
            <div>Custom Item</div>
        </dxItem>
    </DxSlideOut>
</template>

<script>

import DxSlideOut, {
    DxItem
} from 'devextreme-vue/slide-out';

export default {
    components: {
        DxSlideOut,
        DxItem
    },
    // ...
}
</script>
React
App.js
import React from 'react';

import SlideOut, {
    Item
} from 'devextreme-react/slide-out';

const renderCustomItem = () => {
    return <div>Custom Item</div>;
}

class App extends React.Component {
    render() {
        return (
            <SlideOut ... >
                <Item ...
                    render={renderCustomItem}
                >
                </Item>
            </SlideOut>
        );
    }
}
export default App;
See Also

text

Specifies text displayed for the UI component item.

Type:

String

visible

Specifies whether or not a UI component item must be displayed.

Type:

Boolean

Default Value: true

React SlideOut - items
The items array can contain:
- Strings
- Objects with fields described in this section
- Objects with any other fields. In this case, specify the itemTemplate.
If you need to update the UI component items, reassign the entire items array as shown in the following example:
- slideOutInstance.option('items', newItems);
As an alternative to items, you can use the dataSource property. It accepts the DataSource object, whose underlying stores provide an API that allows you to update individual items without reassigning the entire item collection.
component
An alias for the template property specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.
html
The SlideOut component evaluates the html property's value. This evaluation, however, makes the SlideOut potentially vulnerable to XSS attacks. To guard against these attacks, encode the HTML markup before you assign it to the html property. Refer to the following help topic for more information: Potentially Vulnerable API - html.
You can use the text property as a safe alternative.
menuComponent
An alias for the menuTemplate property specified in React. Accepts a custom component. Refer to Using a Custom Component for more information.
menuRender
An alias for the menuTemplate property specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.
menuTemplate
The following types of the specified value are available.
- Assign a string containing the name of the required template.
- Assign a jQuery object of the template's container.
- Assign a DOM Node of the template's container.
- Assign a function that returns the jQuery object or a DOM Node of the template's container.
See Also
render
An alias for the template property specified in React. Accepts a rendering function. Refer to Using a Rendering Function for more information.
template
The following types of the specified value are available.
- Assign a string containing the name of the required template.
- Assign a jQuery object of the template's container.
- Assign a DOM Node of the template's container.
- Assign a function that returns the jQuery object or a DOM Node of the template's container.
The following example adds a custom item to the component. Note that Angular and Vue use custom templates instead of the template property. In React, specify the render or component properties.
- import React from 'react';
- import SlideOut, {
- Item
- } from 'devextreme-react/slide-out';
- const renderCustomItem = () => {
- return <div>Custom Item</div>;
- }
- class App extends React.Component {
- render() {
- return (
- <SlideOut ... >
- <Item ...
- render={renderCustomItem}
- >
- </Item>
- </SlideOut>
- );
- }
- }
- export default App;
See Also
If you have technical questions, please create a support ticket in the DevExpress Support Center.